# Interface ITypeTableStringOptions

interface ITypeTableStringOptions {
api: HasuraApi;
customAfterSql?: string;
customColumnsSql?: string;
deep: DeepClient<Link<Id>>;
linkRelation?: string;
linksTableName?: string;
schemaName: string;
tableName: string;
valueType?: string;
}

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:5

#####
Index

### Properties

api
customAfterSql?
customColumnsSql?
deep
linkRelation?
linksTableName?
schemaName
tableName
valueType?

##
Properties

### api

api: HasuraApi

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:13

### `Optional` customAfterSql

customAfterSql?: string

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:10

### `Optional` customColumnsSql

customColumnsSql?: string

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:9

### deep

deep: DeepClient<Link<Id>>

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:14

### `Optional` linkRelation

linkRelation?: string

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:11

### `Optional` linksTableName

linksTableName?: string

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:12

### schemaName

schemaName: string

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:6

### tableName

tableName: string

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:7

### `Optional` valueType

valueType?: string

- Defined in work/deeplinks/deeplinks/imports/type-table.ts:8